acceptor.hpp File Reference
`#include <memory>`
`#include <restinio/connection_count_limiter.hpp>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/impl/connection.hpp>`
`#include <restinio/utils/suppress_exceptions.hpp>`

Go to the source code of this file.

## Classes

class | restinio::impl::socket_supplier_t< Socket >
struct | restinio::impl::acceptor_details::ip_blocker_holder_t< Ip_Blocker >
| A class for holding actual IP-blocker. More...
struct | restinio::impl::acceptor_details::ip_blocker_holder_t< restinio::ip_blocker::noop_ip_blocker_t >
| A specialization of ip_blocker_holder for case of noop_ip_blocker. More...
class | restinio::impl::acceptor_t< Traits >
| Context for accepting http connections. More...

## Namespaces

namespace | restinio
namespace | restinio::impl
namespace | restinio::impl::acceptor_details